# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/13f59055-8a6b-431f-6205-0ba8be780bfd/volume/rsync-recipes/gensim-3.8.0-python_3.6-on-osx, last modified Tue Sep 24 14:26:49 2019
# ------------------------------------------------

package:
    name: gensim
    version: 3.8.0
source:
    sha256: ec5de7ff2bfa8692fa96a846bb5aae52f267fc322fbbe303c1f042d258af5766
    url: https://pypi.io/packages/source/g/gensim/gensim-3.8.0.tar.gz
build:
    number: '0'
    script: /opt/concourse/worker/volumes/live/13f59055-8a6b-431f-6205-0ba8be780bfd/volume/gensim_1569353418688/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
        -m pip install . -vv
    string: py36h6440ff4_0
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_18
        - clangxx 4.0.1 1
        - clangxx_osx-64 4.0.1 h22b1bf0_18
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
    host:
        - asn1crypto 0.24.0 py36_0
        - blas 1.0 mkl
        - boto 2.49.0 py36_0
        - boto3 1.9.234 py_0
        - botocore 1.12.234 py_0
        - bz2file 0.98 py36_1
        - ca-certificates 2019.8.28 0
        - certifi 2019.9.11 py36_0
        - cffi 1.12.3 py36hb5b8e2f_0
        - chardet 3.0.4 py36_1003
        - cryptography 2.7 py36ha12b0ac_0
        - docutils 0.15.2 py36_0
        - idna 2.8 py36_0
        - intel-openmp 2019.4 233
        - jmespath 0.9.4 py_0
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - mkl 2019.4 233
        - mkl-service 2.3.0 py36hfbe908c_0
        - ncurses 6.1 h0a44026_1
        - numpy 1.11.3 py36hacdab7b_12
        - numpy-base 1.11.3 py36h6575580_12
        - numpy-devel 1.11.3 py36h4ba5984_12
        - openssl 1.1.1d h1de35cc_1
        - pip 19.2.3 py36_0
        - pycparser 2.19 py36_0
        - pyopenssl 19.0.0 py36_0
        - pysocks 1.7.1 py36_0
        - python 3.6.9 h359304d_0
        - python-dateutil 2.8.0 py36_0
        - readline 7.0 h1de35cc_5
        - requests 2.22.0 py36_0
        - s3transfer 0.2.1 py36_0
        - scipy 1.3.1 py36h1410ff5_0
        - setuptools 41.2.0 py36_0
        - six 1.12.0 py36_0
        - smart_open 1.8.4 py_0
        - sqlite 3.29.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - urllib3 1.24.2 py36_0
        - wheel 0.33.6 py36_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    run:
        - libcxx >=4.0.1
        - numpy >=1.11.3,<2.0a0
        - python >=3.6,<3.7.0a0
        - scipy >=0.18.1
        - six >=1.5.0
        - smart_open >=1.2.1
test:
    imports:
        - gensim
        - gensim.corpora
        - gensim.models
        - gensim.models.deprecated
        - gensim.models.wrappers
        - gensim.parsing
        - gensim.scripts
        - gensim.similarities
        - gensim.sklearn_api
        - gensim.summarization
        - gensim.test
        - gensim.topic_coherence
        - gensim.viz
    requires:
        - boto3
        - mock
        - morfessor
        - nose
        - pyemd
        - python-levenshtein
        - scikit-learn
        - testfixtures
about:
    description: 'Gensim is a Python library for topic modelling, document indexing

        and similarity retrieval with large corpora.

        Target audience is the natural language processing (NLP)

        and information retrieval (IR) community.

        '
    dev_url: https://github.com/RaRe-Technologies/gensim
    doc_url: http://radimrehurek.com/gensim/
    home: http://github.com/RaRe-Technologies/gensim
    license: LGPL-2.1
    license_family: LGPL
    license_file: COPYING
    summary: Topic Modelling for Humans
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - mpenkov
        - souravsingh
